[arch-commits] Commit in gcr/repos (8 files)
Jan de Groot
jgc at archlinux.org
Wed Sep 23 14:06:03 UTC 2015
Date: Wednesday, September 23, 2015 @ 16:06:03
Author: jgc
Revision: 247160
archrelease: copy trunk to gnome-unstable-i686, gnome-unstable-x86_64
Added:
gcr/repos/gnome-unstable-i686/
gcr/repos/gnome-unstable-i686/10-gcr.conf
(from rev 247159, gcr/trunk/10-gcr.conf)
gcr/repos/gnome-unstable-i686/PKGBUILD
(from rev 247159, gcr/trunk/PKGBUILD)
gcr/repos/gnome-unstable-i686/gcr.install
(from rev 247159, gcr/trunk/gcr.install)
gcr/repos/gnome-unstable-x86_64/
gcr/repos/gnome-unstable-x86_64/10-gcr.conf
(from rev 247159, gcr/trunk/10-gcr.conf)
gcr/repos/gnome-unstable-x86_64/PKGBUILD
(from rev 247159, gcr/trunk/PKGBUILD)
gcr/repos/gnome-unstable-x86_64/gcr.install
(from rev 247159, gcr/trunk/gcr.install)
-----------------------------------+
gnome-unstable-i686/10-gcr.conf | 3 ++
gnome-unstable-i686/PKGBUILD | 51 ++++++++++++++++++++++++++++++++++++
gnome-unstable-i686/gcr.install | 14 +++++++++
gnome-unstable-x86_64/10-gcr.conf | 3 ++
gnome-unstable-x86_64/PKGBUILD | 51 ++++++++++++++++++++++++++++++++++++
gnome-unstable-x86_64/gcr.install | 14 +++++++++
6 files changed, 136 insertions(+)
Copied: gcr/repos/gnome-unstable-i686/10-gcr.conf (from rev 247159, gcr/trunk/10-gcr.conf)
===================================================================
--- gnome-unstable-i686/10-gcr.conf (rev 0)
+++ gnome-unstable-i686/10-gcr.conf 2015-09-23 14:06:03 UTC (rev 247160)
@@ -0,0 +1,3 @@
+ at users - memlock 1024
+
+# vim:set ft=limits:
Copied: gcr/repos/gnome-unstable-i686/PKGBUILD (from rev 247159, gcr/trunk/PKGBUILD)
===================================================================
--- gnome-unstable-i686/PKGBUILD (rev 0)
+++ gnome-unstable-i686/PKGBUILD 2015-09-23 14:06:03 UTC (rev 247160)
@@ -0,0 +1,51 @@
+# $Id$
+# Maintainer: Ionut Biru <ibiru at archlinux.org>
+
+pkgname=gcr
+pkgver=3.17.4
+pkgrel=1
+pkgdesc="A library for bits of crypto UI and parsing"
+arch=(i686 x86_64)
+url="http://www.gnome.org"
+license=('GPL2')
+depends=('dconf' 'desktop-file-utils' 'gtk3' 'hicolor-icon-theme' 'libgcrypt'
+ 'p11-kit')
+makedepends=('intltool' 'gobject-introspection' 'python' 'vala' 'libxslt')
+options=('!makeflags')
+install=gcr.install
+source=(http://download.gnome.org/sources/$pkgname/${pkgver:0:4}/$pkgname-$pkgver.tar.xz
+ 10-gcr.conf)
+sha256sums=('eab731c45c78189aee9d1a50233558123b4e3f2dccaaf836620c5b6394697d60'
+ '5f2eda7175ae9f23ee0e09d2beceb24fd2f6daafd7bddfcc1c1f5a3734eb60fc')
+
+prepare() {
+ mkdir path
+ ln -s /usr/bin/python2 path/python
+}
+
+build() {
+ cd "$pkgname-$pkgver"
+ ./configure --prefix=/usr \
+ --libexec=/usr/lib/gcr \
+ --disable-static \
+ --disable-update-mime \
+ --disable-schemas-compile
+ make
+}
+
+check() {
+ cd "$pkgname-$pkgver"
+ PATH="$srcdir/path:$PATH" dbus-run-session make -k check || :
+}
+
+package() {
+ cd "$pkgname-$pkgver"
+ make DESTDIR="$pkgdir" install
+
+ # gcr wants to lock some memory to prevent swapping out private keys
+ # https://bugs.archlinux.org/task/32616
+ # https://bugzilla.gnome.org/show_bug.cgi?id=688161
+ install -Dm644 ../10-gcr.conf "$pkgdir/etc/security/limits.d/10-gcr.conf"
+}
+
+# vim:set ts=2 sw=2 et:
Copied: gcr/repos/gnome-unstable-i686/gcr.install (from rev 247159, gcr/trunk/gcr.install)
===================================================================
--- gnome-unstable-i686/gcr.install (rev 0)
+++ gnome-unstable-i686/gcr.install 2015-09-23 14:06:03 UTC (rev 247160)
@@ -0,0 +1,14 @@
+post_install () {
+ glib-compile-schemas /usr/share/glib-2.0/schemas
+ gtk-update-icon-cache -q -t -f /usr/share/icons/hicolor
+ update-mime-database /usr/share/mime &> /dev/null
+ update-desktop-database -q
+}
+
+post_upgrade () {
+ post_install
+}
+
+post_remove() {
+ post_install
+}
Copied: gcr/repos/gnome-unstable-x86_64/10-gcr.conf (from rev 247159, gcr/trunk/10-gcr.conf)
===================================================================
--- gnome-unstable-x86_64/10-gcr.conf (rev 0)
+++ gnome-unstable-x86_64/10-gcr.conf 2015-09-23 14:06:03 UTC (rev 247160)
@@ -0,0 +1,3 @@
+ at users - memlock 1024
+
+# vim:set ft=limits:
Copied: gcr/repos/gnome-unstable-x86_64/PKGBUILD (from rev 247159, gcr/trunk/PKGBUILD)
===================================================================
--- gnome-unstable-x86_64/PKGBUILD (rev 0)
+++ gnome-unstable-x86_64/PKGBUILD 2015-09-23 14:06:03 UTC (rev 247160)
@@ -0,0 +1,51 @@
+# $Id$
+# Maintainer: Ionut Biru <ibiru at archlinux.org>
+
+pkgname=gcr
+pkgver=3.17.4
+pkgrel=1
+pkgdesc="A library for bits of crypto UI and parsing"
+arch=(i686 x86_64)
+url="http://www.gnome.org"
+license=('GPL2')
+depends=('dconf' 'desktop-file-utils' 'gtk3' 'hicolor-icon-theme' 'libgcrypt'
+ 'p11-kit')
+makedepends=('intltool' 'gobject-introspection' 'python' 'vala' 'libxslt')
+options=('!makeflags')
+install=gcr.install
+source=(http://download.gnome.org/sources/$pkgname/${pkgver:0:4}/$pkgname-$pkgver.tar.xz
+ 10-gcr.conf)
+sha256sums=('eab731c45c78189aee9d1a50233558123b4e3f2dccaaf836620c5b6394697d60'
+ '5f2eda7175ae9f23ee0e09d2beceb24fd2f6daafd7bddfcc1c1f5a3734eb60fc')
+
+prepare() {
+ mkdir path
+ ln -s /usr/bin/python2 path/python
+}
+
+build() {
+ cd "$pkgname-$pkgver"
+ ./configure --prefix=/usr \
+ --libexec=/usr/lib/gcr \
+ --disable-static \
+ --disable-update-mime \
+ --disable-schemas-compile
+ make
+}
+
+check() {
+ cd "$pkgname-$pkgver"
+ PATH="$srcdir/path:$PATH" dbus-run-session make -k check || :
+}
+
+package() {
+ cd "$pkgname-$pkgver"
+ make DESTDIR="$pkgdir" install
+
+ # gcr wants to lock some memory to prevent swapping out private keys
+ # https://bugs.archlinux.org/task/32616
+ # https://bugzilla.gnome.org/show_bug.cgi?id=688161
+ install -Dm644 ../10-gcr.conf "$pkgdir/etc/security/limits.d/10-gcr.conf"
+}
+
+# vim:set ts=2 sw=2 et:
Copied: gcr/repos/gnome-unstable-x86_64/gcr.install (from rev 247159, gcr/trunk/gcr.install)
===================================================================
--- gnome-unstable-x86_64/gcr.install (rev 0)
+++ gnome-unstable-x86_64/gcr.install 2015-09-23 14:06:03 UTC (rev 247160)
@@ -0,0 +1,14 @@
+post_install () {
+ glib-compile-schemas /usr/share/glib-2.0/schemas
+ gtk-update-icon-cache -q -t -f /usr/share/icons/hicolor
+ update-mime-database /usr/share/mime &> /dev/null
+ update-desktop-database -q
+}
+
+post_upgrade () {
+ post_install
+}
+
+post_remove() {
+ post_install
+}
More information about the arch-commits
mailing list